Page MenuHomePhabricator

Implement push notification request submission to APNS
Closed, ResolvedPublic

Description

Implement a handler for submitting push notification requests to APNS and handle any possible error messages as appropriate.

Note: Apple's docs state that the provider server (i.e., the push service) must maintain a persistent connection to APNS — be sure that this is happening correctly! I believe that the node-apn package handles this for you, but it's something to be aware of.

AC

  • The service can successfully send messages to a demo iOS app via APNS.

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMay 14 2020, 10:05 PM
Mholloway renamed this task from Implement message submission to APNS to Implement push notification request submission to APNS.May 14 2020, 10:05 PM
Mholloway updated the task description. (Show Details)
LGoto triaged this task as Medium priority.May 20 2020, 3:38 PM
LGoto moved this task from Needs triage to Upcoming on the Product-Infrastructure-Team-Backlog board.

Change 602698 had a related patch set uploaded (by Jgiannelos; owner: Jgiannelos):
[mediawiki/services/push-notifications@master] Implement endpoint to support Apple Push Notifications

https://gerrit.wikimedia.org/r/602698

Change 602698 merged by jenkins-bot:
[mediawiki/services/push-notifications@master] Implement endpoint to support Apple Push Notifications

https://gerrit.wikimedia.org/r/602698

MSantos closed this task as Resolved.Jun 24 2020, 3:05 PM
MSantos updated the task description. (Show Details)